Skip to main content
`Ctrl`+`K`

# TSRHSSplitGetSubTSs

Get an array of all sub-`TS` contexts.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitGetSubTSs(TS ts, PetscInt *n, TS *subts[])

Logically Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameters

- n - the number of splits

- subts - the array of `TS` contexts

## Note

After `TSRHSSplitGetSubTS()` the array of `TS`s is to be freed by the user with `PetscFree()` (not the `TS` in the array just the array that contains them).

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `IS`, `TSGetRHSSplitFunction()`

## Level

advanced

## Location

src/ts/interface/tsrhssplit.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages